from Globals import package_home
from OFS.Image import File
import os

def _filter(name) :
	f,ext = os.path.splitext(name)
	return ext.lower() in ('.htc','.html','.css','.js')

def _filtered_listdir(path):
	fl = os.listdir(path)
	n = filter(_filter,fl)
	return n

def ReadFileToString(homeP,f) :
    # homeP = package_home(globals())
    path = os.path.join(homeP,f)
    if not os.path.exists(path) :
        return ''
    fd = open(path,'rb')
    p = fd.read()
    fd.close()
    return p

def getAllDirectoryFile(homeP,dir) :
	""" get all page template under products home + dir path """
	#homeP = globals()
	if type(homeP) is not type('') :
		homeP = package_home(homeP)

	path = os.path.join(homeP,dir)
	if not os.path.exists(path) :
		return []
	fs = _filtered_listdir(path)
	pages=[]
	for f in fs :
		pth = os.path.join(homeP,dir,f)
		fd = open(pth,'rb')
		p = File(f,f,fd,'text/x-component')
		# p.manage_upload(fd)
		fd.close()
		if p is not None :
			pages.append(p)
	return pages
